### Method

# Gio DBusObjectSkeleton add_interface

since: 2.30

#### Declaration

    void
    g_dbus_object_skeleton_add_interface (
      GDBusObjectSkeleton* object,
      GDBusInterfaceSkeleton* interface_
    )

#### Description

Adds `interface_` to `object`.

If `object` already contains a `GDBusInterfaceSkeleton` with the same interface name, it is removed before `interface_` is added.

Note that `object` takes its own reference on `interface_` and holds it until removed.

Available since: 2.30

#### Parameters

`interface_`

  Type: `GDBusInterfaceSkeleton`

  A `GDBusInterfaceSkeleton`.

  The data is owned by the caller of the method.